# JavaToolchainDownload

@Incubating
interface JavaToolchainDownload

The response provided by a JavaToolchainResolver to a specific JavaToolchainRequest.

Contains the download URI from which a Java toolchain matching the request can be downloaded from. The URI must point to either a ZIP or a TAR archive and has to be secure (so simple HTTP is not allowed, only HTTPS).

#### Since

7.6

## Functions

fromUri
Link copied to clipboard
open fun fromUri(uri: URI): JavaToolchainDownload
getUri
Link copied to clipboard
abstract fun getUri(): URI